## org.codehaus.groovy.ast.expr
Class CastExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.CastExpression

    public class CastExpression

extends Expression

Represents a type cast expression

Version:
  $Revision: 7922 $
Author:
  James Strachan

Constructor Summary
`CastExpression(ClassNode type, Expression expression)`
`CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

Method Summary
`static CastExpression` `asExpression(ClassNode type, Expression expression)`
`Expression` `getExpression()`
`String` `getText()`
`boolean` `isCoerce()`
`boolean` `isIgnoringAutoboxing()`
`void` `setCoerce(boolean coerce)`
`void` `setType(ClassNode t)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CastExpression

    public CastExpression(ClassNode type,
                          Expression expression)

### CastExpression

    public CastExpression(ClassNode type,
                          Expression expression,
                          boolean ignoreAutoboxing)

Method Detail

### asExpression

    public static CastExpression asExpression(ClassNode type,
                                              Expression expression)

### isIgnoringAutoboxing

    public boolean isIgnoringAutoboxing()

### isCoerce

    public boolean isCoerce()

### setCoerce

    public void setCoerce(boolean coerce)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### getExpression

    public Expression getExpression()

### setType

    public void setType(ClassNode t)

  Overrides:
    `setType` in class `Expression`

Copyright © 2003-2008 The Codehaus. All rights reserved.